Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79330 - httpd user home directory should be %contentdir
Summary: httpd user home directory should be %contentdir
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 7.2
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-10 08:57 UTC by Karl Latiss
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-16 17:51:50 UTC


Attachments (Terms of Use)

Description Karl Latiss 2002-12-10 08:57:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
When changing the contentdir in the spec file to something other than /var/www
the apache user's home directory is not changed accordingly. It appears that the
apache user's home directory is hard coded in the spec file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install apache SRC RPM
2.edit spec file to change contentdir variable
3.rebuild RPM
4.install RPM

Actual Results:  apache home directory is /var/www

Expected Results:  apache home directory is %contentdir

Comment 1 Joe Orton 2003-01-16 17:51:50 UTC
This is fixed in the httpd package in Red Hat Linux 8.0.


Note You need to log in before you can comment on or make changes to this bug.